# gumInternal.h File Reference

`#include "pspgum.h"`
`#include "../gu/pspgu.h"`

Include dependency graph for gumInternal.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | GUM_EPSILON 0.00001f

## Functions

void | gumMultMatrix (ScePspFMatrix4 *result, const ScePspFMatrix4 *a, const ScePspFMatrix4 *b)
void | gumMakeIdentity (ScePspFMatrix4 *m)
void | gumCrossProduct (ScePspFVector3 *r, const ScePspFVector3 *a, const ScePspFVector3 *b)
void | gumNormalize (ScePspFVector3 *v)
float | gumCosf (float a)
float | gumSinf (float a)

## Variables

int | gum_current_mode
int | gum_matrix_update [4]
ScePspFMatrix4 * | gum_current_matrix
ScePspFMatrix4 * | gum_stack_depth [4]
ScePspFMatrix4 | gum_matrix_stack [4][32]

## Define Documentation

#define GUM_EPSILON 0.00001f

## Function Documentation

float gumCosf | ( | float | a | ) |

void gumCrossProduct | ( | ScePspFVector3 * | r,
|  | const ScePspFVector3 * | a,
|  | const ScePspFVector3 * | b
| ) |

void gumMakeIdentity | ( | ScePspFMatrix4 * | m | ) |

void gumMultMatrix | ( | ScePspFMatrix4 * | result,
|  | const ScePspFMatrix4 * | a,
|  | const ScePspFMatrix4 * | b
| ) |

void gumNormalize | ( | ScePspFVector3 * | v | ) |

float gumSinf | ( | float | a | ) |

## Variable Documentation

ScePspFMatrix4* gum_current_matrix

int gum_current_mode

ScePspFMatrix4 gum_matrix_stack[4][32]

int gum_matrix_update[4]

ScePspFMatrix4* gum_stack_depth[4]